function Component()
{
    var enabled = installer.environmentVariable("Enabled");
    // If there is a Enabled environment variable set
    print("#### " + component.name + " ####")
    print(enabled);
    print(typeof enabled);
    if (enabled === ""){
        installer.componentByName("org.qtproject.ifw.example").addDependency(component.name);
    }
}
